C To calculate the metric tensor for a cubic system
C
C Reference:
C  Chapter on Crystallography, by H. K. D. H. Bhadeshia, 
C   in "Microstructural Characterisation" edited by E. Metcalfe,
C   Institute of Metals, London, 1988, Table 3, page 33.
C
      SUBROUTINE MAP_CRYSTAL_MET1(G,AP)
      REAL G(9),AP
      INTEGER I
C
C
      DO 20 I=1,9
      G(I)=0.0D+00
 20   CONTINUE
C
      G(1)=AP*AP
      G(5)=G(1)
      G(9)=G(1)
C
      RETURN
      END
